/* https://www.youtube.com/watch?v=rzP0BpDpXY4 
33:17
*/

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --text-dark:#0a0a0a;
    --text-light:#737373;
    --extra-light:#f5f5f5;
    --white:#fff;
    --max-width:1200px;
}
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
.section__container{
    max-width: var(--max-width);
    margin:auto;
    padding:5rem 1rem;
}
.section__header{
    font-size:2rem;
    font-weight: 700;
    color:var(--text-dark);
}
.btn{
    padding:1rem 1.5rem;
    outline:none;
    border:none;
    font-size:1rem;
    font-weight: 600;
    color:var(--text-dark);
    background-color: var(--white);
    border-radius: 5px;
    transition: 0.3s;
    cursor:pointer;
}
.btn:hover{
    background-color: var(--extra-light);
}
img{
    display: flex;
    width:100%;
}
a{
    text-decoration: none;
    transition: 0.3s;
}
html,
body{
    scroll-behavior: smooth;
}


body{
    font-family: "Popins",sans-serif;
}
.header{
    background-image: url("assets/header.jpg");
    background-color: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
nav{
    position:fixed;
    isolation: isolate;
    width:100%;
    max-width: var(--max-width);
    margin-inline:auto;
    z-index:9;
}
.nav__header{
    padding:1rem;
    width:100%;
    display: flex;
    align-items:center;
    justify-content: space-between;
    background-color: var(--text-dark);
}
.nav__logo a{
    font-size:1.5rem;
    font-weight: 600;
    color:var(--white);
}
.nav__meny__btn{
    font-size:1.5rem;
    color:var(--white);
    cursor:pointer;
}
.nav__links{
    position:absolute;
    top:68px;
    left:0;
    width:100%;
    padding:2rem;
    list-style:none;
    display: flex;
    align-items:center;
    justify-content: center;
    flex-direction: column;
    gap:2rem;
    background-color: var(--text-dark);
    transition: 0,5s;
    z-index: -1;
    transform:translateY(-100%);
}
.nav__links.open{
    transform: translateY(0);
}
.nav__links a{
    white-space: nowrap;
    color:var(--white);
    transition:0.3s;
}
.nav__links a:hover{
    color:var(--text-light);
}
.nav__links .btn{
    color:var(--white);
    background-color: transparent;
    border:1px solid var(--white);
}

.nav__links .btn:hover{
    color:var(--text-dark);
    background-color: var(--white);
    border-color: var(--white);
}
/* search section in header */
.header__container{
    padding-block: 10rem;
}
.header__container h1{
    margin-bottom:1rem;
    font-size:3rem;
    line-height: 3.5rem;
    color:var(--white);
}
.header__container form{
    width: 100%;
    max-width: 400px;
    padding:2px;
    margin-bottom:10px;
    display: flex;
    align-items: center;
    gap:10px;
    background-color: var(--white);
    border-radius: 5px;
}
.header__container form .btn{
    padding:10px;
    font-size: 1.25rem;
    background-color: transparent;
}
.header__container form input{
    width:100%;
    outline:none;
    border:none;
    font-size: 1rem;
    color:var(--text-dark);
}
.header__container p{
    font-size: 0.9rem;
    color:var(--white);

}
.popular__grid{
    margin-top: 2rem;
    display: grid;
    gap:1rem;
}
.popular__card{
    padding:1rem;
    border-radius: 1rem;
    box-shadow:5px 5px 20px rgba(0,0,0,0.1);
    transition:0.3s;
}
.popular__card:hover{
    box-shadow: 5ps 5ps 20px rgba(0,0,0,0.2);
}
.popuar__card img{
    margin-bottom:1rem;
    border-radius:10px;
}
.popular__card P{
    margin-bottom: 0.5rem;
    font-weight: 500;
    color:var(--text-light);
}
.popular__card h4{
    margin-bottom:1rem;
    font-size:1.2rem;
    font-weight: 600;
    color:var(--text-dark);
}
.popular__card > div {
    display: flex;
    align-items:center;
    justify-content: space-between;
    gap:1rem;
    flex-wrap:wrap;
}
.popular__card .rating{
    display: flex;
    align-items: center;
    gap:10px;
    color:var(--text-light);
}
.popular__card .rating span{
    font-size:1.2rem;
    color:goldenrod;
}
.popuar__card .price{
    color:var(--text-light);
}
.popular__card .price span{
    font-weight: 600;
    color:var(--text-dark);
}
@media (width > 540px) {
    .popular__grid{
        grid-template-columns: repeat(2,1fr);
    }
}

@media (width > 768px){
    nav{
        position:static;
        padding:2rem 1rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap:2rem;
    }

    .nav__header{
        padding:0;
        background-color: transparent;
    }
    .nav__menu__btn{
        display: none;
    }
    .nav__links{
        position: static;
        padding: 0;
        flex-direction: row;
        justify-content: flex-end;
        background-color: transparent;
        transform: none;
    }
    .header__container{
        padding-block: 8rem 12rem;
    }
    .header__container h1{
        font-size: 4rem;
        line-height: 4.5rem;
    }
    .popular__grid{
        grid-template-columns: repeat(4,1fr);
    }
}